Bug 1350523 - [PATCH] allow pkg-config binary to be set by env
Summary: [PATCH] allow pkg-config binary to be set by env
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Virtualization Tools
Classification: Community
Component: libvirt-python
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Libvirt Maintainers
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-27 16:16 UTC by likidud
Modified: 2016-07-28 20:01 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-28 20:01:22 UTC


Attachments (Terms of Use)
0001-allow-pkg-config-binary-to-be-set-by-env.patch (728 bytes, patch)
2016-06-27 16:16 UTC, likidud
no flags Details | Diff

Description likidud 2016-06-27 16:16:33 UTC
Created attachment 1172977 [details]
0001-allow-pkg-config-binary-to-be-set-by-env.patch

I would like to set the pkg-config binary using the PKG_CONFIG environment variable (as is common for cross compiling).

The attached patch changes setup.py accordingly.

Comment 1 Cole Robinson 2016-06-28 19:12:09 UTC
Thanks for the patch, I've forwarded it upstream:

http://www.redhat.com/archives/libvir-list/2016-June/msg02131.html

Comment 2 Cole Robinson 2016-07-28 20:01:22 UTC
Upstream now, will be in 2.1.0

commit bdfa319eac9aabc4befc206ea4ee65b48a251a77
Author: Markus Rothe <markusr815@gmail.com>
Date:   Mon Jun 27 17:55:28 2016 +0200

    allow pkg-config binary to be set by env
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1350523


Note You need to log in before you can comment on or make changes to this bug.